package com.xintong.visualinspection.service;

import java.util.List;

import com.xintong.visualinspection.bean.Permission;
import com.xintong.visualinspection.pojo.RolePermision;

/**
 * 文件名：UserService 版本信息：日期：2017/3/30 Copyright 江苏省交通规划设计院 Corporation 2017 版权所有.
 */
public interface PermissionService {
	public List<Permission> getPermissions(Permission permission);

	public void insert(Permission permission);

	public void update(Permission permission);

	public void delete(Integer id);

	public List<Permission> getByRoleId(int roleId);

	public void addrolepermision(RolePermision rolePermision);

	public void deleterolepermision(RolePermision rolePermision);

	public void updaterolepermision(RolePermision rolePermision);
}
